<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{84,68,1022,598}</property>
    <property name="Name">[sx_cxa_ofx_dia_all.scr]</property>
    <property name="Caption">[Conciliacao Bancaria]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Verdana" width="0" height="-13" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Private]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.F.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="FromStyle">[Center]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="nBackColor">14215660</property>
    <property name="Icon">[]</property>
    <property name="Bitmap">[icon\tela.jpg]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.T.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.T.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onDlgInit">
    <![CDATA[parameters oDlg

//skel VARIAVEL w_colsep = chr(179)
//skel VARIAVEL w_headsep = chr(196)
//skel 
//skel VARIAVEL znAzul0:=16711680
//skel VARIAVEL znAzul1:=10027008
//skel VARIAVEL zAzul2:=16776960
//skel VARIAVEL zWhite:=16777215
//skel VARIAVEL zBlack:=0
//skel VARIAVEL zRed:=255
//skel VARIAVEL zGreen:=32768
//skel VARIAVEL znCinza:=8421504
//skel VARIAVEL zYellow:=65535
//skel 
//skel VARIAVEL zbCorSugest := {||{zBlack,zWhite,zWhite,zBlack}}
//skel VARIAVEL zbCondSug := {||RecnoDoExt>0.and.cp_cod_for=0.and.sx_assoc->(DbSeek(_sxcxa->( STR(SX_CONTA,6)+pad(TIPO,1)+pad(TRNTYPE,11)+pad(MEMO,35) )))}
//skel 
//skel VARIAVEL zCorVc := {zRed,zWhite,zWhite,zRed}
//skel VARIAVEL zCorHoje := {znAzul0,zWhite,zWhite,znAzul0}
//skel VARIAVEL zCorAv := {8388736,zWhite,zWhite,8388736}
//skel VARIAVEL zCorQtOk :={zGreen,zWhite,zWhite,zGreen}
//skel VARIAVEL zbCor := {||IF(RecnoDoExt=0,{znCinza,zWhite,zWhite,znCinza}, IF(cp_cod_for=0,if(tipo='R',zCorVc,zCorAv), if(fg_sit="=",zCorHoje,zCorQtOk)))}
//skel VARIAVEL #TEXTO_FONTE
//skel #FIM_TEXTO_FONTE
oContextMenu:=Hwg_ContextMenu()
hwg_Btn(oToolbar,5,5,64,64)
hwg_TbMt(oToolbar,'13;zoOfx:DoEvent("DETECTE_OPERACAO", d_ob);Enter-Processa ;Enter - Processa;enter.ico;;;Lucida Bright;-11;Processa;;;')
hwg_TbMt(oToolbar,'77;(zoOfx:DoEvent("MUDAR_CONTA", d_ob),DobRefresh(d_ob));M-Mudar ;M-Altera Conta de Partida do Lancamento;m.jpg;;;;;M-Mudar;;;')
hwg_TbMt(oToolbar,'80;tb_pesq(D_OB);P-Pesquisa ;P-Pesquisa na coluna do cursor;pesquisa.ico;;;;;&P-Pesquisa;;;')
hwg_TbMt(oToolbar,'79;tb_index(D_OB);O-Ordena ;O-Ordena a coluna do cursor;ordenar.ico;;;;;&O-Ordena;;;')
hwg_Btn(oToolbar,,,74,64)
hwg_TbMt(oToolbar,'88;zoOfx:DoEvent("CANCELA_MESCLAGEM", d_ob);X-Desassocia ;X-Desassocia lancamento, cancela a Mesclagem do mesmo;deletar.ico;;;;;x-Desassocia;;;')
hwg_Btn(oToolbar,10,544,70,24)
hwg_TbMt(oToolbar,'7;(zoOfx:DoEvent("APAGAR_LANCTO", d_ob),DobRefresh(d_ob));Del-Apagar_lancto ;Del-Deleta;sembitmap;;;;;Deleta;;6;')
hwg_TbMt(oToolbar,'84;tb_locate(D_oB);T-Busca_Trecho ;T-Pesquisa Trecho na coluna do cursor;sembitmap;;;Lucida Bright;-11;&T-Trecho;;6;')
hwg_TbMt(oToolbar,'76;tb_locate(D_oB);L-Busca_Iniciais ;L-Busca pelas Iniciais na coluna do cursor;sembitmap;;;Lucida Bright;-11;&L-Iniciais;;6;')
hwg_TbMt(oToolbar,'67;tb_locate(D_oB);C-Repete_Busca ;C-Repete Busca na coluna do cursor;sembitmap;;;Lucida Bright;-11;&C-Continua;;6;')
hwg_Btn(oToolbar,,,100,)
hwg_TbMt(oToolbar,'89;zoOfx:DoEvent("CANCELA_IMPORTACAO_DO_OFX", d_ob);Y-Cnc_Import ;Y-Cancela importacao de OFX;sembitmap;;;Lucida Bright;-11;&Y-Canc.Import;;6;')
SetDlgKey(oDlg,8,26,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"UP"))})
SetDlgKey(oDlg,8,28,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"DOWN"))})
Hwg_EndMenu()
if type("oDlgStatusBar")="B"
   oDlgStatusBar:Anchor:=14
endif
oDlg:MAXIMIZE()
]]>
  </method>
  <method name="onPaint">
    <![CDATA[Parameters oCtrl,hDC
oCtrl:bpaint:=NIL
D_oB:setFocus()]]>
  </method>
  <part class="status">
    <style>
      <property name="Geometry">{0,568,1022,30}</property>
      <property name="Name">[oDlgStatusBar]</property>
      <property name="aParts">{608,152,0}</property>
    </style>
  </part>
  <part class="browse">
    <style>
      <property name="Geometry">{10,77,1000,458}</property>
      <property name="Name">[D_oB]</property>
      <property name="Anchor">15</property>
      <property name="font">
        <font name="Lucida Sans Unicode" width="0" height="-16" weight="400"/>
      </property>
      <property name="GridLinesSepColor">0</property>
      <property name="TabIndex">4</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[nBrwAtivo:=1]]>
    </method>
    <method name="onInit">
      <![CDATA[

   hwg_TbFi(D_oB, 'Data;DATA;D;;8;S;')
   hwg_TbFi(D_oB, 'ValorTesou;VALOR;N;9999999.99; 10;S;;')
   hwg_TbFi(D_oB, 'Obs Tesou;DESC;C;@S40; 20;S;zbCor;')
   hwg_TbFi(D_oB, '*;if(tipo="S"," C"," D");P;xxx; 3;N;')
   hwg_TbFi(D_oB, 'Obs Extrato;MEMO;C;@S20; 20;S;zbCor;')
   hwg_TbFi(D_oB, 'SitLanct;if(fg_sit="+".or.cp_cod_for=0,if(cp_cod_for=0,if(tipo="S","Checar_CNAB","a_Conciliar"),if(idofx>0,"Conciliado","a_Conciliar")),if(fg_sit="=","Equivalente",if(idofx>0,"Conciliado","a_Conciliar")));P;@S11;11;N;zbCor;')
   hwg_TbFi(D_oB, 'Bco_reg;RecnoDoExt;N;999999; 7;;')

   hwg_TbFi(D_oB, 'TrnType;TrnType;C;@S11;11;;')
   hwg_TbFi(D_oB, 'IdOfx;IdOfx;N;99999999;8;;')
   hwg_TbFi(D_oB, 's;Fg_Sit;C;x;1;;')
   hwg_TbFi(D_oB, 'Conciliacao Anterior;if(eVal(zbCondSug),if(empty(DESC),OPERACAO,DESC),"");P;@S40;40;N;zbCorSugest;')



D_oB:bColorSel:= RGB(3,23,233)
D_oB:tColorSel:= RGB(255,255,255)
D_oB:Alias := alias()
D_oB:lDisableVScrollPos := .t.
D_oB:bKeyDown := {|self, wParam| (aBrowses[nBrwAtivo,2])->(hwg_oDlgKey(self, wparam,1)) , .T. }
D_oB:bOther:={|o,m,wp,lp| MessagesBrowse(o,m,wp,lp)}
D_oB:cargo:={.T.,.T.,"_SXTMP",.F.,.T.,{||.T.} }
d_ob:bEdit := {|D_oB| .t.}
AADD(aBrowses,{D_oB,D_oB:Alias,{||.f.},{|| .T.},})
]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{709,0,167,69}</property>
      <property name="Name">[oLabel1]</property>
      <property name="Caption">[Conciliacao Bancaria]</property>
      <property name="Justify">[Right]</property>
      <property name="font">
        <font name="Arial" width="0" height="-29" weight="700"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">5</property>
    </style>
  </part>
  <part class="radiogroup">
    <style>
      <property name="Geometry">{388,2,314,70}</property>
      <property name="Name">[oRadioGroup1]</property>
      <property name="varName">[vRadiogroup1]</property>
      <property name="Caption">[Selecao]</property>
      <property name="TabIndex">6</property>
    </style>
    <part class="radiobutton">
      <style>
        <property name="Geometry">{397,19,176,22}</property>
        <property name="Name">[oRb1]</property>
        <property name="lInitValue">.T.</property>
        <property name="Caption">[Todos os Lancamentos]</property>
        <property name="TabIndex">7</property>
      </style>
      <method name="onClick">
        <![CDATA[(DBCLEARFILTER(), DbGoTop(), DobRefresh() )]]>
      </method>
    </part>
    <part class="radiobutton">
      <style>
        <property name="Geometry">{397,43,176,22}</property>
        <property name="Name">[oRb2]</property>
        <property name="Caption">[So Nao Conciliados]</property>
        <property name="TabIndex">8</property>
      </style>
      <method name="onClick">
        <![CDATA[(DBSETFILTER({||RecnoDoExt>0.and.cp_cod_for=0},"RecnoDoExt>0.and.cp_cod_for=0"), DbGoTop(), DobRefresh() )]]>
      </method>
    </part>
    <part class="radiobutton">
      <style>
        <property name="Geometry">{575,19,119,22}</property>
        <property name="Name">[oRb3]</property>
        <property name="Caption">[So Mesclaveis]</property>
        <property name="TabIndex">9</property>
      </style>
      <method name="onClick">
        <![CDATA[(DBSETFILTER({||RecnoDoExt=0},"RecnoDoExt=0"), DbGoTop(), DobRefresh() )]]>
      </method>
    </part>
    <part class="radiobutton">
      <style>
        <property name="Geometry">{575,43,119,22}</property>
        <property name="Name">[oRb4]</property>
        <property name="Caption">[So Conciliados]</property>
        <property name="TabIndex">10</property>
      </style>
      <method name="onClick">
        <![CDATA[(DBSETFILTER({||RecnoDoExt>0.and.cp_cod_for>0},"RecnoDoExt>0.and.cp_cod_for>0"), DbGoTop(), DobRefresh() )]]>
      </method>
    </part>
  </part>
</part>
